Previous 1 2 Next 29 Replies Latest reply: Oct 17, 2012 3:32 AM by Dynamikemusic
Dynamikemusic Level 1 Level 1

Okay, this is strange ..

 

I gave my iMac a fresh install of OS X Lion and also Logic Pro. Worked with it already but from time to time I want to make a fresh start. I use my iMac only for producing music. For all the other stuff I use a second computer with Windows. This time it took much more time to download and install all the extra packages (like the Jam Packs). I had to restart Logic several times because downloads failed. Anyway, everything must be in the right place now. Here comes the real problem: NO plug-ins will pass the validation!

 

Yesterday I tried it with my UAD stuff. Nothing. So I thought, maybe I did something wrong. Today I made a fresh install of my iMac and Logic Pro AGAIN. But now I tried it with just 1 plug-in: Microtonic 3. Same problem. The following phrase from the AU validation result shows the same error:

 

VERIFYING RECOMMENDED PROPERTIES:

VERIFYING PROPERTY: Latency

PASS

ERROR: -2147450878 IN CALL Remove Property Listener

** FAIL

 

I bought Logic and Microtonic (and also UAD ofcourse) so it must be a problem within Logic or my computer. Tried Google first but wasn't satisfied with the results. :| What does this problem mean and how can I solve it?

 

The thing is, everything worked fine (used all plug-ins before). I did also a fresh install in the summer, with absolutely no problems. So I don't understand. Could it be OS updates? Because it's now 10.7.5 instead of 10.7.4. If so, is there a possibility to get .4 back?

 

Notes:

I used the last installer from UAD > 6.3.1 August 2012.

All plug-ins worked fine before.

Logic Pro was both times the first program I installed. Before I made a fresh install of my computer there were no issues.

I made a clean install twice and both times I checked a plug-in one at a time. No plug-in will validate. Unbelievable.

I wrote a mail to someone who works for the company where I bought my computer. It's a specialist in Apple audio and helped me before with an Apogee Duet 2 problem.

 

I go for a third clean install in a few days and won't do a software update (of my computer) before I tested Logic Pro first.

Don't know what to do else. :(


Logic Pro, Mac OS X (10.7.5)
  • davidkaeser Level 1 Level 1

    Same here, since I moved to 10.7.5...

     

    Is it possible to revert to 10.7.4 ?

  • Dynamikemusic Level 1 Level 1

    Good question. Searched Google but didn't find a downgrade manual or something like that yet.

    Now installing for the third time so I hope the install will be .4 instead of .5.

    If it is, I won't do a software update and try Logic first.

    But if the install will be .5, we have to find out how to get back to .4.

    Or Apple needs to fix their stuff before releasing it

    There goes all my free time this week.

  • Dynamikemusic Level 1 Level 1

    Back in business!

    Problem is OS X update 10.7.5 !!!

     

    @davidkaeser > fresh install without updating to .5 will work!

  • pumpkineater100 Level 1 Level 1

    hmmmm....maybe this is why isotope vinyl wont work for me.... c'mon apple. get your poop together

     

    <Edited By Host>

  • MRADERZ Level 1 Level 1

    I have experienced the exact same problem. It become that bad that i even paid £85 for support from apple which did not solve the problem either. In the end i done a factory reset of my mac and used time machne to back pre 10.7.5 update. There are also still problems with logic but no way near as bad as before when updated to 10.7.5.

  • sierko Level 1 Level 1

    Could it be caused by the introduction of Gatekeeper? Maybe you just need to disable that. Worth a shot as opposed to doing a fresh install.

     

    http://www.macobserver.com/tmo/article/apple-adds-gatekeeper-to-lion-with-os-x-1 0.7.5

  • Dynamikemusic Level 1 Level 1

    Could be indeed, but I won't take the risk with trying.

    How ironic by the way: "The update also includes a few bug fixes."

    Yeah, and you'll get some bugs for free if you paid 150,- for Logic!

    Don't get me wrong, I like my investment from earlier this year (iMac+Logic Pro) but such things like these are NOT done.

  • davidkaeser Level 1 Level 1

    I have deactivated gatekeeper with a terminal command... No success... Disappointed with 10.7.5 !!!

     

    If only I could install 10.6.8... but impossible with my macbook pro (june 2012)...

     

    SL best OS for Logic...

  • t.kuerrev Level 1 Level 1

    I had the same strange messages with SOME plug-ins only. I'm on MacPro 3.1 (2xQuadCore). I updated yesterday to 10.5.7 Lion, and at the same time to Logic 9.1.7. All my Waves PlugIns didn't pass the validation, but they seem to work.

    What bothers me more is that the MIDI ports of my Unitor/AMT chain are not recognized. They appear in the AudioMIDI utilitiy correctly, all 16 ports - but Logics environment only sees one "physical input", and I cannot select any ports at all. Someone else with this problem? Or even with a solution?

  • Nomad_76 Level 1 Level 1

    Same exact problem here. I'm glad I found this thread, it saved me a lot of wasted time beating my head against the wall doing clean installs (by the way, I did a clean install and thats how I got the problem...go figure).

     

    Apple, please help with this. I need my pluggins to work.

  • t.kuerrev Level 1 Level 1

    Hi Nomad_76,

    I did an update from 10.5.? to 10.6.8. to 10.7.5 - not a clean install. The latter would cost me a week beating my head against the wall ... :-)

    Do you get an error for EVERY Plug-in or just for some? Did you install 10.7.5?

    In the meantime, Logic got sight of my MIDI Interfaces, now I can change ports and MIDI channels as expected and as named in the MIDI/Audio utility. I don't know what made Logic work for that.

     

    APPLE HELP for me too!

  • t.kuerrev Level 1 Level 1

    Hi Dynamikemusic,

     

    in another Logic Pro Help forum I read, that you went back to 10.7.4? Is this true? If so, how did you proceed? I am thinking about going back to 10.7.4 with the updater-file, that can be downloaded, but I fear to get more problems doing so as when I stay with 10.7.5. Could you let me know? And did the validation problems disappear? Thanks!

  • vicharmonyprodz Level 1 Level 1

    having the same problem absolute joke at the end of a massive project got melodyne nd then it refuse to validate displaying this error ERROR: -2147450878 IN CALL Remove Property Listener need to sort this out ASAP losing mone nd patience fast :/

  • vicharmonyprodz Level 1 Level 1

    So there is a way to get it working.


    Even if AU validation FAILs, you can still open it.just make sure you check the first box it may fail. but make sure it's checked before closing the au manager. happy man

Previous 1 2 Next